jrice174
Civil/Environmental
- Nov 8, 2004
- 129
I'm trying to add a layout tab to a drawing from a template.
I've already got it to create the drawing from a template
as shown below, but how do I add more layout tabs with the same template?
Here is what I have to create the drawing from the template
ThisDrawing.SetVariable "SDI", 1 'Single Document Interface or MDI
Dim templateFileName As String
templateFileName = "K:\CAD\CAD Features\Templates\TB-STANDARD.dwt"
ThisDrawing.New templateFileName
ThisDrawing.SetVariable "SDI", 0
Pt1(0) = 0: Pt1(1) = 0
ThisDrawing.ActiveLayout = ThisDrawing.Layouts("STANDARD TITLEBLOCK")
and I know that I can add a layout using
Set objLayout = ThisDrawing.Layouts.Add(LayoutName)
I just can't quite get the whole thing together to add the layout with the template.
Any help would be appreciated. THANKS
I've already got it to create the drawing from a template
as shown below, but how do I add more layout tabs with the same template?
Here is what I have to create the drawing from the template
ThisDrawing.SetVariable "SDI", 1 'Single Document Interface or MDI
Dim templateFileName As String
templateFileName = "K:\CAD\CAD Features\Templates\TB-STANDARD.dwt"
ThisDrawing.New templateFileName
ThisDrawing.SetVariable "SDI", 0
Pt1(0) = 0: Pt1(1) = 0
ThisDrawing.ActiveLayout = ThisDrawing.Layouts("STANDARD TITLEBLOCK")
and I know that I can add a layout using
Set objLayout = ThisDrawing.Layouts.Add(LayoutName)
I just can't quite get the whole thing together to add the layout with the template.
Any help would be appreciated. THANKS